package com.bocloud.cmp.model.hmc;

/**
 * HMC SCSI虚拟适配器
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcProfileScsiAdapterModel {
    private Long id; // ID
    private Integer adapterId;
    private Long profileId;
    private Integer remotePartitionId; // 这个是在cmp中的id，不是数据库中hmcPartition表中的id
    private Integer remoteSlotNumber;
    private String type;
    private Boolean isRequired;
    private String remotePartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getRemotePartitionId() {
        return remotePartitionId;
    }

    public void setRemotePartitionId(Integer remotePartitionId) {
        this.remotePartitionId = remotePartitionId;
    }

    public Integer getRemoteSlotNumber() {
        return remoteSlotNumber;
    }

    public void setRemoteSlotNumber(Integer remoteSlotNumber) {
        this.remoteSlotNumber = remoteSlotNumber;
    }

    public String getRemotePartitionName() {
        return remotePartitionName;
    }

    public void setRemotePartitionName(String remotePartitionName) {
        this.remotePartitionName = remotePartitionName;
    }
}
